javax.security.auth.message

## Interface MessagePolicy.ProtectionPolicy

- Enclosing class:
    MessagePolicy

      public static interface MessagePolicy.ProtectionPolicy

  This interface is used to represent message authentication policy.

  The internal state of a ProtectionPolicy object defines the message authentication requirements to be applied to the associated Target.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTHENTICATE_CONTENT` The identifer for a ProtectionPolicy that indicates that the origin of data within the message is to be authenticated (that is, the message is to be protected such that its recipients can establish who defined the message content).
    `static String` | `AUTHENTICATE_RECIPIENT` The identifer for a ProtectionPolicy that indicates that the message recipient is to be authenticated.
    `static String` | `AUTHENTICATE_SENDER` The identifer for a ProtectionPolicy that indicates that the sending entity is to be authenticated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getID()` Get the ProtectionPolicy identifier.

- - ### Field Detail

    - #### AUTHENTICATE_SENDER

          static final String AUTHENTICATE_SENDER

      The identifer for a ProtectionPolicy that indicates that the sending entity is to be authenticated.
      See Also:
        Constant Field Values

    - #### AUTHENTICATE_CONTENT

          static final String AUTHENTICATE_CONTENT

      The identifer for a ProtectionPolicy that indicates that the origin of data within the message is to be authenticated (that is, the message is to be protected such that its recipients can establish who defined the message content).
      See Also:
        Constant Field Values

    - #### AUTHENTICATE_RECIPIENT

          static final String AUTHENTICATE_RECIPIENT

      The identifer for a ProtectionPolicy that indicates that the message recipient is to be authenticated.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getID

          String getID()

      Get the ProtectionPolicy identifier. An identifier may represent a conceptual protection policy (as is the case with the static identifiers defined within this interface) or it may identify a procedural policy expression or plan that may be more difficult to categorize in terms of a conceptual identifier.
      Returns:
        A String containing a policy identifier. This interface defines some policy identifier constants. Configuration systems may define and employ other policy identifiers values.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.